package cn.kdan.compdf.enums;

/**
 * @author Bob 2022-11-01
 **/
public interface RabbitMQEnum {

    /**
     * 后台交换机
     */
    String BACKGROUND_EXCHANGE = "background-exchange";


    /**
     * 后台API新增队列
     */
    String BACKGROUND_API_ADD_QUEUE = "background-api-add-queue";
    /**
     * API新增路由规则
     */
    String BACKGROUND_API_ADD_ROUTING_KEY = "background.api.add";

    /**
     * 后台API删除队列
     */
    String BACKGROUND_API_DEL_QUEUE = "background-api-del-queue";
    /**
     * API删除路由规则
     */
    String BACKGROUND_API_DEL_ROUTING_KEY = "background.api.del";

    /**
     * 后台webhooks新增队列
     */
    String BACKGROUND_WEBHOOKS_ADD_QUEUE = "background-webhooks-add-queue";
    /**
     * webhooks新增路由规则
     */
    String BACKGROUND_WEBHOOKS_ADD_ROUTING_KEY = "background.webhooks.add";

    /**
     * 后台webhooks删除队列
     */
    String BACKGROUND_WEBHOOKS_DEL_QUEUE = "background-webhooks-del-queue";
    /**
     * webhooks删除路由规则
     */
    String BACKGROUND_WEBHOOKS_DEL_ROUTING_KEY = "background.webhooks.del";

    /**
     * 后台webhooks更新队列
     */
    String BACKGROUND_WEBHOOKS_UPD_QUEUE = "background-webhooks-upd-queue";
    /**
     * webhooks更新路由规则
     */
    String BACKGROUND_WEBHOOKS_UPD_ROUTING_KEY = "background.webhooks.del";

}
