package cn.kdan.compdf.entity;

import cn.kdan.compdf.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;

/**
 * @author ComPDFKit-WPH 2022-10-14
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("background_user_webhook")
public class BackgroundUserWebhook extends BaseEntity{

    /**
     * 主键id
     */
    @TableId(type = IdType.AUTO)
    private Long id;
    /**
     * 关联用户主键id
     */
    private Long userId;
    /**
     * 租户id
     */
    private Long tenantId;
    /**
     * 关联用户项目主键id
     */
    private Long projectId;
    /**
     * 接收服务端请求的回调地址
     */
    private String url;
    /**
     * 回调token
     */
    private String secretToken;
    /**
     * 状态0已删除1正常
     */
    private Integer status;
    /**
     * 上一次发送请求的时间
     */
    private Date responseTime;

}
