package cn.kdan.compdf.dto;

import lombok.Data;
import javax.validation.constraints.NotEmpty;

/**
 * @author Bob 2022-10-17
 */
@Data
public class ChangePasswordDTO {

    /**
     * 原密码
     */
    @NotEmpty(message = "Old Password cannot be blank")
    private String oldPassword;

    /**
     * 新密码
     */
    @NotEmpty(message = "New Password cannot be blank")
    private String newPassword;

}
