package cn.kdan.compdf.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @author ComPDFKit-WPH 2022/10/31
 */
@Data
@ToString
@NoArgsConstructor
@AllArgsConstructor
public class DashboardStatisticsDTO {
    /**
     * projectId
     */
    private Long projectId;
    /**
     * tenantId
     */
    private Long tenantId;
    /**
     * 使用工具id
     */
    private Long useToolId;
    /**
     * 文件总数
     */
    private Long fileTotal;
    /**
     * 文件成功总数
     */
    private Long fileSuccessTotal;
    /**
     * 文件失败总数
     */
    private Long fileFailedTotal;
    /**
     * 文件平均处理时长
     */
    private BigDecimal fileConvertTime;
    /**
     * 同步时间
     */
    private LocalDateTime syncTime;

    private Long userId;

}
