package cn.kdan.compdf.entity;

import cn.kdan.compdf.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;

/**
 * @author ComPDFKit-WPH 2022-10-14
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("background_user")
public class BackgroundUser extends BaseEntity{

    /**
     * 主键id
     */
    @TableId(type = IdType.AUTO)
    private Long id;
    /**
     * 租户id
     */
    private Long tenantId;
    /**
     * 用户名（公司名称）
     */
    private String fullName;
    /**
     * 用户名（登录名：邮箱）
     */
    private String username;
    /**
     * 密码
     */
    private String password;
    /**
     * 状态0已删除1正常
     */
    private Integer status;
    /**
     * 首次登录时间
     */
    private Date firstLoginTime;
    /**
     * 最后一次登录时间
     */
    private Date lastLoginTime;

}
