package cn.kdan.compdf.service;

import cn.kdan.compdf.entity.BackgroundEvent;
import cn.kdan.compdf.entity.BackgroundWebhookEvent;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
 * @author comPDF-Kit WPH 2022-10-09
 */
public interface BackgroundEventService extends IService<BackgroundEvent> {

    /**
     * 列表查询
     * @param query 查询参数
     * @return 列表数据
     */
    IPage<BackgroundEvent> page(BackgroundEvent query);


    /**
     * 获取系统可用事件
     * @return 系统可用事件
     */
    List<BackgroundEvent> getEventList();

}